### Function

# Ide g_file_add_ignored_pattern

#### Declaration

    void
    ide_g_file_add_ignored_pattern (
      const gchar* pattern
    )

#### Description

Adds a pattern that can be used to match ignored files. These are global to the application, so they should only include well-known ignored files such as those internal to a build system, or version control system, and similar.

Available since: | 3.32

#### Parameters

`pattern` | `const gchar*`
| A `GPatternSpec` style glob pattern.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.